CMsgElement (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.util.CMsgElement class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.util
Class CMsgElement

    java.lang.Object
      org.hyperic.hq.ui.util.CMsgElement

    public class CMsgElement

extends java.lang.Object

Field Summary
`java.lang.String` | `mouseover` mouseover is plaintext
`java.lang.String[]` | `params` params are plaintext, and will subtituted as {0} style parameters into the 'text' message
`java.lang.String` | `text` text is a key into ApplicationResources.properties
`java.lang.String` | `url` url is plaintext

Constructor Summary
`CMsgElement(java.lang.String text)`
`CMsgElement(java.lang.String text, java.lang.String url)`
`CMsgElement(java.lang.String text, java.lang.String[] params)`
`CMsgElement(java.lang.String text, java.lang.String url, java.lang.String[] params)`

Method Summary
`java.lang.String` | `getMouseover()`
`java.lang.String[]` | `getParams()`
`java.lang.String` | `getText()`
`java.lang.String` | `getUrl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public java.lang.String text

  text is a key into ApplicationResources.properties

### url

    public java.lang.String url

  url is plaintext

### mouseover

    public java.lang.String mouseover

  mouseover is plaintext

### params

    public java.lang.String[] params

  params are plaintext, and will subtituted as {0} style parameters into the 'text' message

Constructor Detail

### CMsgElement

    public CMsgElement(java.lang.String text)

### CMsgElement

    public CMsgElement(java.lang.String text,
                       java.lang.String url)

### CMsgElement

    public CMsgElement(java.lang.String text,
                       java.lang.String[] params)

### CMsgElement

    public CMsgElement(java.lang.String text,
                       java.lang.String url,
                       java.lang.String[] params)

Method Detail

### getText

    public java.lang.String getText()

### getUrl

    public java.lang.String getUrl()

### getParams

    public java.lang.String[] getParams()

### getMouseover

    public java.lang.String getMouseover()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.